module motor_SY(shaft_l_1, shaft_l_2, shaft_d, round_l, round_d, motor_l, motor_w, hole_w, hole_l, hole_d) {
	difference() {
		union() {
			translate([0,0,-shaft_l_1]) cylinder(r=shaft_d/2, h=shaft_l_1+shaft_l_2+motor_l);
			translate([0,0,-round_l]) cylinder(r=round_d/2, h=round_l+1);
			translate([-motor_w/2, -motor_w/2, 0])	cube(size=[motor_w, motor_w, motor_l]);
		}

		translate([-hole_w/2, -hole_w/2, -1])	cylinder(r=hole_d/2, h=hole_l+1);
		translate([-hole_w/2, +hole_w/2, -1])	cylinder(r=hole_d/2, h=hole_l+1);
		translate([+hole_w/2, +hole_w/2, -1])	cylinder(r=hole_d/2, h=hole_l+1);
		translate([+hole_w/2, -hole_w/2, -1])	cylinder(r=hole_d/2, h=hole_l+1);
	}
}

module motor_SY20(s,l) {	motor_SY(s,0,4,	1.5,15, 	l,20.2,	16,4,2); }
module motor_SY28(l,s) {	motor_SY(20,s*13.5,5,	2,22, 		l,28.2,	23,4.5,2.5); }
module motor_SY35(l,s) {	motor_SY(21,s*10,5,	1.5,22, 	l,35.2,	26,4,3); }

module SY20STH30_A() { motor_SY20(6.5,30); }	// 180g.cm
module SY20STH33_A() { motor_SY20(6.5,33); }	// 180g.cm
module SY20STH42_A() { motor_SY20(15,42); }	// 300g.cm
module SY28STH32_A() { motor_SY28(31.5,0); }	// 430 or 600g.cm
module SY28STH32_B() { motor_SY28(31.5,1); }
module SY35ST36_A() { motor_SY35(36,0); } 	// ~1400g.cm	(14Ncm)
module SY35ST36_B() { motor_SY35(36,1); }
